// file      : xsd-frontend/traversal/complex.cxx
// author    : Boris Kolpackov <boris@codesynthesis.com>
// copyright : Copyright (c) 2005-2006 Code Synthesis Tools CC
// license   : GNU GPL v2 + exceptions; see accompanying LICENSE file

#include <xsd-frontend/traversal/complex.hxx>

namespace XSDFrontend
{
  namespace Traversal
  {
    Void Complex::
    traverse (Type& c)
    {
      pre (c);
      name (c);
      inherits (c);
      names (c);
      post (c);
    }

    Void Complex::
    pre (Type&)
    {
    }

    Void Complex::
    name (Type&)
    {
    }

    Void Complex::
    inherits (Type& c)
    {
      inherits (c,
                *this,
                &Complex::inherits_pre,
                &Complex::inherits_post,
                &Complex::inherits_none,
                &Complex::inherits_next);
    }

    Void Complex::
    inherits_pre (Type&)
    {
    }

    Void Complex::
    inherits_next (Type&)
    {
    }

    Void Complex::
    inherits_post (Type&)
    {
    }

    Void Complex::
    inherits_none (Type&)
    {
    }

    Void Complex::
    post (Type&)
    {
    }
  }
}
